= form_tag project_compare_index_path(@project), method: :post, class: 'form-inline' do
  .clearfix.append-bottom-20
    - if params[:to] && params[:from]
      = link_to 'switch', {from: params[:to], to: params[:from]}, {class: 'commits-compare-switch has_tooltip', title: 'Switch base of comparison'}
    .form-group
      .input-group.inline-input-group
        %span.input-group-addon from
        = text_field_tag :from, params[:from], class: "form-control"
    = "..."
    .form-group
      .input-group.inline-input-group
        %span.input-group-addon to
        = text_field_tag :to, params[:to], class: "form-control"
    &nbsp;
    = submit_tag "Compare", class: "btn btn-create commits-compare-btn"
    - if compare_to_mr_button?
      = link_to compare_mr_path, class: 'prepend-left-10 btn' do
        %strong Make a merge request
    - if @commits.present?
      = link_to controller: "projects/repositories", action: "patch" do
        %span.btn.btn-primary.pull-right Download as Zip

:javascript
  var availableTags = #{@project.repository.ref_names.to_json};

  $("#from, #to").autocomplete({
    source: availableTags,
    minLength: 1
  });

  disableButtonIfEmptyField('#to', '.commits-compare-btn');
